2018-07-16 17:28 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002999OpenFOAM[All Projects] Bugpublic2018-07-12 09:00
Reporterpkieck 
Assigned Towill 
PrioritynoneSeveritytweakReproducibilityN/A
StatusresolvedResolutionfixed 
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002999: Wrong datatype for counting parcels in ThermoCloudI.H
DescriptionThermoCloud::Tmax() and ThermoCloud::Tmin() both count the number of parcels using a scalar n which is then reduced using sumOp<label>.
TagsNo tags attached.
Attached Files
  • patch file icon ThermoCloudTstat.patch (918 bytes) 2018-06-29 13:37 -
    diff --git a/src/lagrangian/intermediate/clouds/Templates/ThermoCloud/ThermoCloudI.H b/src/lagrangian/intermediate/clouds/Templates/ThermoCloud/ThermoCloudI.H
    index ae62a8a..43b997f 100644
    --- a/src/lagrangian/intermediate/clouds/Templates/ThermoCloud/ThermoCloudI.H
    +++ b/src/lagrangian/intermediate/clouds/Templates/ThermoCloud/ThermoCloudI.H
    @@ -373,7 +373,7 @@ template<class CloudType>
     inline Foam::scalar Foam::ThermoCloud<CloudType>::Tmax() const
     {
         scalar T = -great;
    -    scalar n = 0;
    +    label n = 0;
         forAllConstIter(typename ThermoCloud<CloudType>, *this, iter)
         {
             const parcelType& p = iter();
    @@ -399,7 +399,7 @@ template<class CloudType>
     inline Foam::scalar Foam::ThermoCloud<CloudType>::Tmin() const
     {
         scalar T = great;
    -    scalar n = 0;
    +    label n = 0;
         forAllConstIter(typename ThermoCloud<CloudType>, *this, iter)
         {
             const parcelType& p = iter();
    
    patch file icon ThermoCloudTstat.patch (918 bytes) 2018-06-29 13:37 +

-Relationships
+Relationships

-Notes

~0009850

will (manager)

Resolved in dev by commit 23d523d9
+Notes

-Issue History
Date Modified Username Field Change
2018-06-29 13:37 pkieck New Issue
2018-06-29 13:37 pkieck File Added: ThermoCloudTstat.patch
2018-07-12 09:00 will Assigned To => will
2018-07-12 09:00 will Status new => resolved
2018-07-12 09:00 will Resolution open => fixed
2018-07-12 09:00 will Fixed in Version => dev
2018-07-12 09:00 will Note Added: 0009850
+Issue History